$red: #E66963;
$green: #4FC06A;
$lightgreen: #6FC5AA;
$blue: #167EFC;
$lightblue: #81C5F1;
$pink: #ED93B4;
$yellow: #F6D100;
$lightyellow: #FACB8C;
$orange: #F09851;
$purple: #9c27b0;
$lightpurple: #C8B2F4;
$deeppurple: #5957CF;
$lightblue: #5ac8fa;
$teal: #009688;
$lime: #cddc39;
$deeporange: #ff6b22;
$gray: #8e8e93;
$white: #ffffff;
$black: #000000;
$smoothGray: #9AA6B2 ;

body{
	font-family: 'Quicksand', sans-serif;
	color: $black!important;
}

/* iOS Cordova Tweak */
.device-cordova.device-ios {
	height: 100vh;
}

.img-circle{
	border-radius: 50%;
}

.img-rounded{
	border-radius: 7px;
}

.font-normal{
	font-weight: normal;
}

.font-bold{
	font-weight: bold;
}

.text-normal{
	text-transform: none!important;
}

.text-uppercase{
	text-transform: uppercase!important;
}

.text-capitalize{
	text-transform: capitalize!important;
}

.no-padding{
	padding:0!important;
}

.no-padding-top{
	padding-top:0!important;
}

.no-padding-right{
	padding-right:0!important;
}

.no-padding-bottom{
	padding-bottom:0!important;
}

.no-padding-left{
	padding-left:0!important;
}

.no-margin{
	margin:0!important;
}

.no-margin-top{
	margin-top:0!important;
}

.no-margin-right{
	margin-right:0!important;
}

.no-margin-bottom{
	margin-bottom:0!important;
}

.no-margin-left{
	margin-left:0!important;
}

.margin-small{
	margin: 10px!important;
}

.margin-small-top{
	margin-top: 10px!important;
}

.margin-small-right{
	margin-right: 10px!important;
}

.margin-small-bottom{
	margin-bottom: 10px!important;
}

.margin-small-left{
	margin-left: 10px!important;
}

.margin-medium{
	margin: 20px!important;
}

.margin-medium-top{
	margin-top: 20px!important;
}

.margin-medium-right{
	margin-right: 20px!important;
}

.margin-medium-bottom{
	margin-bottom: 20px!important;
}

.margin-medium-left{
	margin-left: 20px!important;
}


.padding-small{
	padding: 10px!important;
}

.padding-small-top{
	padding-top: 10px!important;
}

.padding-small-right{
	padding-right: 10px!important;
}

.padding-small-bottom{
	padding-bottom: 10px!important;
}

.padding-small-left{
	padding-left: 10px!important;
}

.padding-medium{
	padding: 20px!important;
}

.padding-medium-top{
	padding-top: 20px!important;
}

.padding-medium-right{
	padding-right: 20px!important;
}

.padding-medium-bottom{
	padding-bottom: 20px!important;
}

.padding-medium-left{
	padding-left: 20px!important;
}

.icon-border{
	width: 36px;
    height: 36px;
    display: inline-block;
    text-align: center;
    padding: 10px;
	border-radius: 20px;
	border: 1px solid #ddd;
}

.border-red{
	border-color: $red!important;
}

.border-green{
	border-color: $green!important;
}

.border-lightgreen{
	border-color: $lightgreen!important;
}

.border-blue{
	border-color: $blue!important;
}

.border-lightblue{
	border-color: $lightblue!important;
}

.border-pink{
	border-color: $pink!important;
}

.border-yellow{
	border-color: $yellow!important;
}

.border-lightyellow{
	border-color: $lightyellow!important;
}

.border-orange{
	border-color: $orange!important;
}

.border-purple{
	border-color: $purple!important;
}

.border-lightpurple{
	border-color: $lightpurple!important;
}

.border-deeppurple{
	border-color: $deeppurple!important;
}

.border-lightblue{
	border-color: $lightblue!important;
}

.border-teal{
	border-color: $teal!important;
}

.border-lime{
	border-color: $lime!important;
}

.border-deeporange{
	border-color: $deeporange!important;
}

.border-gray{
	border-color: $gray!important;
}

.border-white{
	border-color: $white!important;
}

.border-black{
	border-color: $black!important;
}

.color-red{
	color: $red!important;
}

.color-green{
	color: $green!important;
}

.color-lightgreen{
	color: $lightgreen!important;
}

.color-blue{
	color: $blue!important;
}

.color-lightblue{
	color: $lightblue!important;
}

.color-pink{
	color: $pink!important;
}

.color-yellow{
	color: $yellow!important;
}

.color-lightyellow{
	color: $lightyellow!important;
}

.color-orange{
	color: $orange!important;
}

.color-purple{
	color: $purple!important;
}

.color-lightpurple{
	color: $lightpurple!important;
}

.color-deeppurple{
	color: $deeppurple!important;
}

.color-lightblue{
	color: $lightblue!important;
}

.color-teal{
	color: $teal!important;
}

.color-lime{
	color: $lime!important;
}

.color-deeporange{
	color: $deeporange!important;
}

.color-gray{
	color: $gray!important;
}

.color-white{
	color: $white!important;
}

.color-black{
	color: $black!important;
}

.color-smoothgray{
	color: $smoothGray!important;
}

.bg-red{
	background: $red!important;
}

.bg-green{
	background: $green!important;
}

.bg-lightgreen{
	background: $lightgreen!important;
}

.bg-blue{
	background: $blue!important;
}

.bg-lightblue{
	background: $lightblue!important;
}

.bg-pink{
	background: $pink!important;
}

.bg-yellow{
	background: $yellow!important;
}

.bg-lightyellow{
	background: $lightyellow!important;
}

.bg-orange{
	background: $orange!important;
}

.bg-purple{
	background: $purple!important;
}

.bg-lightpurple{
	background: $lightpurple!important;
}

.bg-deeppurple{
	background: $deeppurple!important;
}

.bg-lightblue{
	background: $lightblue!important;
}

.bg-teal{
	background: $teal!important;
}

.bg-lime{
	background: $lime!important;
}

.bg-deeporange{
	background: $deeporange!important;
}

.bg-gray{
	background: $gray!important;
}

.bg-white{
	background: $white!important;
}

.bg-black{
	background: $black!important;
}


.gradient-box{
	padding: 10px !important;
    border-radius: 7px !important;
    max-width: 200px !important;
    white-space: normal !important;
    margin-right: 10px !important;
	font-size: 13px;
	color: #222!important;
	border: 1px solid #eee;
}

.toolbar-top{
	overflow: hidden;
}

.toolbar-top:after{
	content: none;
}

.toolbar-top .toolbar-inner{
	padding: 0;	
	overflow: auto!important;
}

.card-header-title{
	font-size: 20px;
}

.card-header-subtitle{
	font-size: 15px;
	opacity: 0.7;
	white-space: nowrap;
    width: 120px;
    text-overflow: ellipsis;
    overflow: hidden;
}

.card-opened .card-header-subtitle{
	overflow: inherit;
	text-overflow: inherit;
	width: auto;
	white-space: normal;
}

.card-header .card-datetime{
	margin-top: 40px;
	font-size: 12px;
}

.gradient-orange{
	background: #f8a754!important;
	background: -moz-linear-gradient(top, #f8a754 0%, #f05d70 100%)!important;
	background: -webkit-linear-gradient(top, #f8a754 0%,#f05d70 100%)!important;
	background: linear-gradient(to bottom, #f8a754 0%,#f05d70 100%)!important;
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f8a754', endColorstr='#f05d70',GradientType=0 )!important;
}

.gradient-button-blue{
	background: rgba(107,166,224,1);
	background: -moz-linear-gradient(left, rgba(107,166,224,1) 0%, rgba(94,98,219,1) 58%, rgba(94,98,219,1) 100%);
	background: -webkit-gradient(left top, right top, color-stop(0%, rgba(107,166,224,1)), color-stop(58%, rgba(94,98,219,1)), color-stop(100%, rgba(94,98,219,1)));
	background: -webkit-linear-gradient(left, rgba(107,166,224,1) 0%, rgba(94,98,219,1) 58%, rgba(94,98,219,1) 100%);
	background: -o-linear-gradient(left, rgba(107,166,224,1) 0%, rgba(94,98,219,1) 58%, rgba(94,98,219,1) 100%);
	background: -ms-linear-gradient(left, rgba(107,166,224,1) 0%, rgba(94,98,219,1) 58%, rgba(94,98,219,1) 100%);
	background: linear-gradient(to right, rgba(107,166,224,1) 0%, rgba(94,98,219,1) 58%, rgba(94,98,219,1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6ba6e0', endColorstr='#5e62db', GradientType=1 );
}

.gradient-cyan{
	background: #ecfff0;
	background: -moz-linear-gradient(-45deg, #ecfff0 0%, #c4eef7 100%);
	background: -webkit-linear-gradient(-45deg, #ecfff0 0%,#c4eef7 100%);
	background: linear-gradient(135deg, #ecfff0 0%,#c4eef7 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ecfff0', endColorstr='#c4eef7',GradientType=1 );
}

.gradient-button{
	background: rgba(253,145,126,1)!important;
	background: -moz-linear-gradient(left, rgba(253,145,126,1) 0%, rgba(240,97,130,1) 58%, rgba(240,97,130,1) 100%)!important;
	background: -webkit-gradient(left top, right top, color-stop(0%, rgba(253,145,126,1)), color-stop(58%, rgba(240,97,130,1)), color-stop(100%, rgba(240,97,130,1)))!important;
	background: -webkit-linear-gradient(left, rgba(253,145,126,1) 0%, rgba(240,97,130,1) 58%, rgba(240,97,130,1) 100%)!important;
	background: -o-linear-gradient(left, rgba(253,145,126,1) 0%, rgba(240,97,130,1) 58%, rgba(240,97,130,1) 100%)!important;
	background: -ms-linear-gradient(left, rgba(253,145,126,1) 0%, rgba(240,97,130,1) 58%, rgba(240,97,130,1) 100%)!important;
	background: linear-gradient(to right, rgba(253,145,126,1) 0%, rgba(240,97,130,1) 58%, rgba(240,97,130,1) 100%)!important;
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fd917e', endColorstr='#f06182', GradientType=1 )!important;
}

.button-auto{
	width: auto!important;
    display: inline-block;
    padding: 0 30px;
}

[data-initial-small]{
	display: inline-block;
	line-height: 28px;
}

[data-initial-small]:before{
	content: attr(data-initial-small);
	display: inline-block;
	text-align: center;
	border-radius: 50%;
	background: $lightblue;
	color: $white;
	vertical-align: middle;
	width: 28px;
	height: 28px;
	line-height: 28px;
	font-size: 13px;
}

[data-initial-medium]{
	display: inline-block;
	line-height: 48px;
}

[data-initial-medium]:before{
	content: attr(data-initial-medium);
	display: inline-block;
	text-align: center;
	border-radius: 50%;
	background: $lightblue;
	color: $white;
	vertical-align: middle;
	width: 48px;
	height: 48px;
	line-height: 48px;
	font-size: 18px;
}

[data-initial-large]{
	display: inline-block;
	line-height: 64px;
}

[data-initial-large]:before{
	content: attr(data-initial-large);
	display: inline-block;
	text-align: center;
	border-radius: 50%;
	background: $lightblue;
	color: $white;
	vertical-align: middle;
	width: 64px;
	height: 64px;
	line-height: 64px;
	font-size: 22px;
}

[data-initial-extra-large]{
	display: inline-block;
	line-height: 96px;
}

[data-initial-extra-large]:before{
	content: attr(data-initial-extra-large);
	display: inline-block;
	text-align: center;
	border-radius: 5px;
	background: $lightblue;
	color: $white;
	vertical-align: middle;
	width: 96px;
	height: 96px;
	line-height: 96px;
	font-size: 32px;
}

[data-initial-extra-large-circle]{
	display: inline-block;
	line-height: 96px;
}

[data-initial-extra-large-circle]:before{
	content: attr(data-initial-extra-large-circle);
	display: inline-block;
	text-align: center;
	border-radius: 50%;
	background: $lightblue;
	color: $white;
	vertical-align: middle;
	width: 96px;
	height: 96px;
	line-height: 96px;
	font-size: 32px;
}

/* Your app custom styles here */

.navbar:before,
.navbar:after{
	content:none;
}

.navbar .left a, .navbar .right a{
	color: #000;
}

.login-screen-content{
	background: #fff url(../assets/images/bg-home.png) no-repeat center!important;
	background-size: cover!important;
	padding-top: 150px !important;

	.login-screen-title{
		margin-top: 0px;
	}

	.login-screen-hint{
		font-size: 18px;
		margin-top: 10px;	
		padding-right: 20px;
	}

	.list .item-content{
		padding-left:0;
		.item-title{
			font-size: 16px;
		}
		input{
			text-transform: uppercase;
		}
	}

	.list .text-normal input{
		text-transform: none;
	}
}

.page-content{
	background: rgb(255,255,255);
}

.view{
	.navbar{
		background: #fff;
		height: 96px;

		.navbar-inner{
			height: 96px;
			padding: 0 24px;

			.left{
				font-size: 24px;			
				.icon-back{
					color: #9AA6B2 !important;
				}	
				span{
					display: none!important;
				}
			}
			.badge{
				color: #fff!important;
			}

			.show-small-title{
				opacity: 1;
				small, span{
					display: block;
				}
			}
		}
	}
	
	.page-content{		
		padding: 150px 24px;

		>.block{
			padding: 0;
		}
	}
}

.toolbar{
	background: #fff;
	position: relative;
	.toolbar-inner{
		overflow: inherit;
		a[data-tab="#view-panic"]{
			top: -12px;
			height: 80px;
		}
		a[data-tab="#view-panic"]:before {
			content: '';
			display: block;
			width: 64px;
			height: 64px;
			border: 1px solid #ddd;
			position: absolute;
			border-radius: 50%;
			background: #fff;
			box-shadow: 0 0 10px rgba(0,0,0,0.2);
		}
	}
}

.tabbar:before{
	content: none;
}

.tab-link{
	color: #9AA6B2!important;
	.badge{
		color: #fff!important;
	}
}

.tab-link-active{
	color: $pink!important;
}

.page-with-card-opened .swiper-container {
    overflow: inherit;
}

.page-with-card-opened .card-backdrop,
.page-with-card-opened .menu-grid,
.page-with-card-opened .menu-grid-title,
.page-with-card-opened .swiper-tab,
.page-with-card-opened .swiper-tab-content,
.page-with-card-opened #products,
.page-with-card-opened .ptr-preloader,
.page-with-card-opened .banner-swiper,
.page-with-card-opened .info-title,
.page-with-card-opened .toolbar-top,
.page-with-card-opened .media-list,
.page-with-card-opened .no-content-box,
.navbar-hidden,
.toolbar-hidden{
	display: none!important;
}

.page-with-card-opened .card-swipe .swiper-slide-active{
	z-index: 999999999;
}

.navbar .title-large{
	background: #fff;
	.title-large-text{
		padding-left: 24px;
    	padding-right: 24px;
	}
}

.navbar .title-large:after{
	content: none;
}

.card-swipe {
	.swiper-slide{
		justify-content: center;
		.card{
			box-shadow: none;
			margin: 0;
	
			.card-header{
				padding: 20px 30px;				
			}
		}
		
	}
	.swiper-slide:not(.swiper-slide-active) {
		pointer-events: none;
	}
}

.menu-grid-title{
	margin-bottom: 30px;
	color: #000000;
	font-weight: bold;
	margin-left: 0;
	margin-right: 0;
}

.menu-grid .row{
	margin-bottom: 30px;
}

.welcomescreen-swiper{
	.swiper-slide{
		background: url(../assets/images/bg-slide.png) no-repeat center;
		background-size: 147%;

		.welcomescreen-picture, 
		.welcomescreen-title{
			font-size: 28px;
			font-weight: bold;
		}	
		
		.welcomescreen-title{
			position: absolute;
			bottom: 175px;
		}

		.welcomescreen-picture{
			margin-top: 18%;
		}

		.welcomescreen-text{
			bottom: 100px;
			padding-left: 40px;
			padding-right: 40px;
		}
	}

	.welcomescreen-pagination {
		bottom: 70px!important;
		.swiper-pagination-bullet{
			background: #ccc!important;
		}
		.swiper-pagination-bullet-active{
			background: $lightpurple!important;
		}
	}

}

.welcomescreen-closebtn{
	background: $pink;
	padding: 3px 15px!important;
    border-radius: 25px;
    color: #fff;
    top: 20px!important;
    right: 20px!important;
}

.inner-tabbar{
	top: 150px!important;
}
  
.swiper-tab {
	margin: 20px 0;
	.swiper-slide{
		width: auto!important;
		a{
			color: $smoothGray;		
		}
	}
	.swiper-slide-thumb-active {
		a{
			color: $orange!important;
			border-bottom: 1px solid $orange;
		}
	}
}

.list ul{
	background: none!important;
}

a.card-link{
	color: #222;
	display: block;
}
.card.card-shadow{
	margin: 10px 1px;
	.card-status{
		margin-bottom: 20px;		
	}
	.card-info{
		display: block;
		margin: 40px 0;			
		font-size: 16px;
		.card-amount{
			text-align: right;
			float: right;
		}
	}
	.card-payer{
		.card-payer-name{
			font-size: 16px;
			font-weight: bold;
			display: block;
			margin: 0;
		}
	}
}


.chat-list a:nth-child(n+2){
	border-top: 1px solid #eee;
}

.list {
	ul {
		li{
			.item-subtitle{
				margin-top: 10px;
			}
		}
	}
}

#receipt{
	.receipt-item{
		padding: 10px 0;
	}

	.receipt-item:nth-child(n+2){
		border-top: 1px dashed #bbb;
	}
	.payer{
		margin-top: 50px;
	}
}

.uploader{
    text-align: left;
	font-size: 13px;
	padding: 16px 0;

	.uploader-item{
		height: 100px;
		background: #FBFDFF;
		border: 1px dashed #c0ccda;
		width: calc((100% - 16px)/ 3);
		margin-bottom: 5px;
		display: inline-block;
		position: relative;
		border-radius: 5px;
		overflow: hidden;

		a{
			display: block;
			position: absolute;
			top: 50%;
			transform: translateY(-50%);
			width: 100%;
		}
	}

	.image-item{
		a{
			background-size: cover;
			background-position: center center;
			background-repeat: no-repeat;
			padding: 0;
			height: 100px;
			border: 1px dashed #fff;
		}
	}

	.img-uploader{
		display: block;
		width: 64px;
		height: 64px;
		margin: 0 auto;
	}
}

#map{
	height: 300px;
	.centerMarker {
		position: absolute;
		background: url(https://maps.gstatic.com/mapfiles/api-3/images/spotlight-poi2_hdpi.png) no-repeat;
		background-size: 50%;
		top: 50%;
		left: 50%;
		z-index: 1;
		margin-left: -10px;
		margin-top: -43px;
		height: 86px;
		width: 54px;
		cursor: pointer;
	}
}

.image-thumb{
	height: 300px;
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.list .item-label,
.list .item-title{
	font-size: 14px!important;
	font-weight: bold!important;
}

.list input[type="text"], .list input[type="password"], .list input[type="search"], .list input[type="email"], .list input[type="tel"], .list input[type="url"], .list input[type="date"], .list input[type="datetime-local"], .list input[type="time"], .list input[type="number"], .list select, textarea, .list .item-after, .item-input-wrap p{
	font-size: 14px !important;
}

.align-right .item-input-wrap input{
	text-align: right;
}

.border-separator-top ul li:first-child .item-inner:before{
	content: '';
    position: absolute;
    background-color: var(--f7-list-border-color);
    display: block;
    z-index: 15;
    top: 0;
    right: auto;
    bottom: auto;
    left: 0;
    height: 1px;
    width: 100%;
    transform-origin: 50% 0%;
    transform: scaleY(calc(1 / 1));
    transform: scaleY(calc(1 / var(--f7-device-pixel-ratio)));
}

.border-separator-bottom ul li:first-child .item-inner:after{
	content: '';
    position: absolute;
    background-color: var(--f7-list-item-border-color);
    display: block;
    z-index: 15;
    top: auto;
    right: auto;
    bottom: 0;
    left: 0;
    height: 1px;
    width: 100%;
    transform-origin: 50% 100%;
    transform: scaleY(calc(1 / 1));
    transform: scaleY(calc(1 / var(--f7-device-pixel-ratio)));
}

.item-content{
	padding-left:0!important;
}

.input-prefix,
.input-suffix{
    position: absolute;
    top: 50%;
}

.input-prefix + .item-title + .item-input-wrap > input {
    padding-left: 30px;
}

.input-suffix + .item-title + .item-input-wrap > input {
    padding-right: 30px;
}

.tap-hold{
	-moz-user-select: none;
	-webkit-user-select: none;
	user-select: none;
}

.title-bold .item-title{
	font-weight: bold;
}

.menu-item{
	width: 20px;
    position: absolute;
    top: 10px;
	right: 10px;
	background: none;
    color: #444;
}

.menu-item-dropdown-opened{
	background: #eee;
}

.menu-item-dropdown-opened .menu-dropdown{
	background: #eee;
	height: 0;
	top: -1px;
}

.menu-item-dropdown-right .menu-dropdown:before, .menu-item-dropdown-center .menu-dropdown:before, .menu-dropdown-right:before, .menu-dropdown-center:before,
.menu-item-dropdown .menu-item-content:after{
	content: none;
}

.menu-dropdown-content{
	background: #eee;
	a{
		color: #444;
	}
}

#products ul li:last-child{
	border: none;
}

#products ul li .item-media,
#inventories ul li .item-media{
	width: 125px;
    height: 85px;
    background-size: cover;
	border-radius: 7px;
	margin: 10px 0;
}

#products ul li .item-title-row,
#inventories ul li .item-title-row{
	margin-bottom: 10px;

	.item-title{
		font-size: 16px!important;
	}
}

#products ul li .item-subtitle,
#inventories ul li .item-subtitle{
	font-size: 14px;
	margin-bottom: 10px;
}

#products ul li a .item-inner:after{
	content: none;
}

div[data-name="marketplacedetail"] .page-content,
div[data-name="infodetail"] .page-content,
div[data-name="residentreportdetail"] .page-content,
div[data-name="freebiesdetail"] .page-content{
	padding: 44px 0 50px;

	.product-detail{
		padding: 0 24px;
	}
}

div[data-name="residentreportdetail"] .page-content,
div[data-name="inventorydetail"] .page-content{
	padding-left: 0;
	padding-right: 0;
	.report-detail,
	.inventory-detail{
		padding: 0 24px;
	}
}

div[data-name="marketplacestore"] .page-content{
	padding: 44px 0 50px;
	.product-detail{
		padding: 0 24px;
	}
}

.autocomplete-dropdown ul li .item-inner{
	padding: 0 10px;
}

.messagebar textarea{
	max-height: 200px!important;
}

.message{
	width: auto!important;
	max-width: 85%!important;
}

.message .message-content{
	width: 100%!important;
	max-width: none!important;
}

.message-sent .message-bubble{
	background: $lightblue;
	width: 100%!important;
}

.ios .message-sent .message-bubble{
	-webkit-mask-box-image: None;
}

.message-text{
	font-size: 15px;
}

.message-date{
	display: block;
	width: 100%;
	margin-top: 5px;
}

.message-received .message-date{
	padding-left: 5px;
}

.message-sent .message-date{
	padding-right: 5px;
}

.attachments{
	margin-top: 10px;
	overflow: auto;
	white-space: nowrap;
	
	a{
		margin-right: 5px;
	}
}

.no-content-box{
	height: 60px;
    border-radius: 7px;
}

#panic-group .item-title{
	width: 100%;
    border-bottom: 1px solid #ddd;
}

#panic-group .item-subtitle{
	margin-top: 0!important;
}

span.distance{
	font-size: 14px!important;
}